Bug 90087 - [tk] Should require XFree86-devel / split into -devel subpackage
Summary: [tk] Should require XFree86-devel / split into -devel subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-02 10:22 UTC by Enrico Scholz
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version: 8.3.5-90
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-04 21:58:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2003-05-02 10:22:27 UTC
Description of problem:

/usr/include/tk.h includes <X11/Xlib.h> but does not require XFree86-devel. 

I would prefer to split tk into a -devel subpackage which has XFree86-devel as a
requirement.


Version-Release number of selected component (if applicable):

tk-8.3.5-80


How reproducible:

100%


Steps to Reproduce:
1. rpm -U tk-*
2. rpm -e XFree86-devel
3. echo '#include <tk.h>' >foo.c
4. gcc -c foo.c
    

Actual results:

Compilation fails with
| In file included from x.c:1:
| /usr/include/tk.h:83:29: X11/Xlib.h: No such file or directory
| ...


Expected results:

Compilation succeeds.

Comment 1 Jens Petersen 2003-06-27 06:10:01 UTC
Soon with 8.3.5-90 and later there should be separate tcl-devel and tk-devel
subpackages.

Comment 2 Jens Petersen 2003-07-04 21:58:19 UTC
Fix should be in 8.3.5-90.1.
Could you please check it is and re-open this bug
if there are still problems?


Note You need to log in before you can comment on or make changes to this bug.